Bug 79084 - MAINTAINER UPDATE: libusb updates to 0.1.10a
MAINTAINER UPDATE: libusb updates to 0.1.10a
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: leeym
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-21 13:30 UTC by johnjen
Modified: 2005-04-13 11:22 UTC (History)
0 users

See Also:


Attachments
file.diff (4.44 KB, patch)
2005-03-21 13:30 UTC, johnjen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description johnjen 2005-03-21 13:30:02 UTC
At long last I'm sending in patches to upgrade libusb to 0.1.10a (latest).

Fix: Please use "-E" when applying this patch to the libusb directory. Following
that, please also do "cvs remove libusb/files/patch-bsd.c". This patch file is
no longer needed as the changes were found in the code itself. Additionally a
new file, libusb/files/patch-configure is added with this patch. There is a bug
in 0.1.10a's configure script which makes it mis-identify older FreeBSD
systems.

I have send out binary snapshots of this port as well as a "shar" to the ports
lists and have solicited breakage feedback and have received none, so I can
only assume things will work nicely on older versions of FreeBSD--I no longer
have any 4.x machines to compile with.


How-To-Repeat: 
na/
Comment 1 leeym freebsd_committer 2005-04-06 05:26:51 UTC
Hi,

please add "include/usbpp.h" in pkg-plist.

BTW, this update bump the library version, so the committer need to bump
the PORTREVISION in all ports that depend on libusb too.

It's about 59 ports, quite a large commit.

-- 
Yen-Ming Lee [utf7:+Z05fZWYO] | KeyID:0x5EB52E51 | Taipei, Taiwan
Comment 2 leeym freebsd_committer 2005-04-13 11:07:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->leeym

I will take care of this PR.
Comment 3 leeym freebsd_committer 2005-04-13 11:22:42 UTC
State Changed
From-To: open->closed

Committed, thanks.